package org.kne.cloud.network;

import java.io.IOException;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.nio.channels.ServerSocketChannel;
import java.nio.channels.SocketChannel;

import javax.net.SocketFactory;

public abstract class ServerSocketChannelFactory {

	public ServerSocketChannel createServerSocketChannel() throws IOException {
		return ServerSocketChannel.open();
	}

	public abstract ServerSocketChannel createServerSocketChannel(int port) throws IOException ;

	public abstract ServerSocketChannel createServerSocketChannel(int port, int backlog) throws IOException ;

	public abstract ServerSocketChannel createServerSocketChannel(int port, int backlog, InetAddress ifAddress) throws IOException ;
}
